View as Markdown
API Spec (JSON)
API Spec (YAML)
Compact modeHides field descriptions and other prose for a more compact, scannable view of the API reference.Client CredentialsToken URLhttps://api-m.sandbox.paypal.com/v1/oauth2/tokenInheaderScopes
https://uri.paypal.com/services/customer/partneridstringRequiredapplication/json
TypeScript Definitions
Use the request body type in TypeScript.
integration_preferencesobject<product-integration>[]OptionalproductenumOptionalpermissionsarray<permissions>Optionalregion_preferencesobject<region-preferences>[]Optionalproduct_preferencesobject<product-preferences>[]OptionalproductenumOptionalreturn_messageobject<message>[]Optionalagreement_typesarray<agreement_types>Optionalapplication/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/customer/partners/string" \ -H "Content-Type: application/json" \ -d '{}'{ "partner_id": "string", "launch_type": "FULL_BROWSER", "receives_credential": false, "product_selection": "Y", "logo_url": "http://example.com", "notification_url": "http://example.com", "integration_preferences": [ { "product": "EXPRESS_CHECKOUT", "integration_type": "FIRST_PARTY", "credential_type": "SIGNATURE", "permissions": [ "EXPRESS_CHECKOUT" ] } ], "region_preferences": [ { "country_code": "string", "product_preferences": [ { "product": "EXPRESS_CHECKOUT", "url": "http://example.com" } ], "return_message": [ { "message": "string", "language_code": "string" } ] } ], "agreement_types": [ "VENDOR_SECURITY_POLICY_AGREEMENT" ], "display_name": "string"}